<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult\LinkPreviewResponse;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentLinkPreviewMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $isBusinessVerified = null;
    


    protected $providerName = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsBusinessVerified()
    {
        return isset($this->isBusinessVerified) ? $this->isBusinessVerified : false;
    }

    public function hasIsBusinessVerified()
    {
        return isset($this->isBusinessVerified);
    }

    public function clearIsBusinessVerified()
    {
        unset($this->isBusinessVerified);
    }

    




    public function setIsBusinessVerified($var)
    {
        GPBUtil::checkBool($var);
        $this->isBusinessVerified = $var;

        return $this;
    }

    



    public function getProviderName()
    {
        return isset($this->providerName) ? $this->providerName : '';
    }

    public function hasProviderName()
    {
        return isset($this->providerName);
    }

    public function clearProviderName()
    {
        unset($this->providerName);
    }

    




    public function setProviderName($var)
    {
        GPBUtil::checkString($var, True);
        $this->providerName = $var;

        return $this;
    }

}

